/**
 *  The template for the overring the hardcoded strings contained in
 *  the AutoConnect pages.
 *  e.g. for PlatformIO, you can add to platformio.ini in your project
 *  along with AC_LABLES macro which specifies the user-defined label
 *  constants as follows:
 *
 * build_flags =
 *   -DAC_LABELS='"${PROJECT_SRC_DIR}/mylabels.h"'
 * 
 *  And places mylabels.h, it needs a structure of the define directive
 *  provided per label string definition for the change your wants.
 * 
 * #ifdef [ID YOU WANT TO CHANGE]
 * #undef [ID YOU WANT TO CHANGE]
 * #define [ID YOU WANT TO CHANGE] "NEW_STRING_FOR_THISONE"
 * #endif
 * 
 *  Details are in the documentation.
 *  https://hieromon.github.io/AutoConnect/changelabel.html
 */

// Menu item: Configure new AP
#ifdef AUTOCONNECT_MENULABEL_CONFIGNEW
#undef AUTOCONNECT_MENULABEL_CONFIGNEW
#define AUTOCONNECT_MENULABEL_CONFIGNEW   "WLAN +"
#endif // !AUTOCONNECT_MENULABEL_CONFIGNEW

// Menu item: Open SSIDs
#ifdef AUTOCONNECT_MENULABEL_OPENSSIDS
#undef AUTOCONNECT_MENULABEL_OPENSSIDS
#define AUTOCONNECT_MENULABEL_OPENSSIDS   "WLAN …"
#endif // !AUTOCONNECT_MENULABEL_OPENSSIDS

// Menu item: Disconnect
#ifdef AUTOCONNECT_MENULABEL_DISCONNECT
#undef AUTOCONNECT_MENULABEL_DISCONNECT
#define AUTOCONNECT_MENULABEL_DISCONNECT  "Trennen"
#endif // !AUTOCONNECT_MENULABEL_DISCONNECT

// Menu item: Reset...
#ifdef AUTOCONNECT_MENULABEL_RESET
#undef AUTOCONNECT_MENULABEL_RESET
#define AUTOCONNECT_MENULABEL_RESET       "Reset"
#endif // !AUTOCONNECT_MENULABEL_RESET

// Menu item: HOME
#ifdef AUTOCONNECT_MENULABEL_HOME
#undef AUTOCONNECT_MENULABEL_HOME
#define AUTOCONNECT_MENULABEL_HOME        "Live"
#endif // !AUTOCONNECT_MENULABEL_HOME

// Menu item: Update
//#ifdef AUTOCONNECT_MENULABEL_UPDATE
//#undef AUTOCONNECT_MENULABEL_UPDATE
//#define AUTOCONNECT_MENULABEL_UPDATE      "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_UPDATE

// Button label: RESET
#ifdef AUTOCONNECT_BUTTONLABEL_RESET
#undef AUTOCONNECT_BUTTONLABEL_RESET
#define AUTOCONNECT_BUTTONLABEL_RESET     "Reset"
#endif // !AUTOCONNECT_BUTTONLABEL_RESET

// Button label: UPDATE
//#ifndef AUTOCONNECT_BUTTONLABEL_UPDATE
//#define AUTOCONNECT_BUTTONLABEL_UPDATE     "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_BUTTONLABEL_UPDATE

// Page title: Page not found
#ifdef AUTOCONNECT_PAGETITLE_NOTFOUND
#undef AUTOCONNECT_PAGETITLE_NOTFOUND
#define AUTOCONNECT_PAGETITLE_NOTFOUND "Seite nicht gefunden"
#endif // !AUTOCONNECT_PAGETITLE_NOTFOUND

// Page title: AutoConnect resetting
#ifdef AUTOCONNECT_PAGETITLE_RESETTING
#undef AUTOCONNECT_PAGETITLE_RESETTING
#define AUTOCONNECT_PAGETITLE_RESETTING "Neustart"
#endif // !AUTOCONNECT_PAGETITLE_RESETTING

// Page title: AutoConnect statistics
#ifdef AUTOCONNECT_PAGETITLE_STATISTICS
#undef AUTOCONNECT_PAGETITLE_STATISTICS
#define AUTOCONNECT_PAGETITLE_STATISTICS "Statistik"
#endif // !AUTOCONNECT_PAGETITLE_STATISTICS

// Page statistics row: Established connection
#ifdef AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION
#undef AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION
#define AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION "Verbundenes WLAN"
#endif // !AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION

// Page statistics row: Mode
#ifdef AUTOCONNECT_PAGESTATS_MODE
#undef AUTOCONNECT_PAGESTATS_MODE
#define AUTOCONNECT_PAGESTATS_MODE "Modus"
#endif // !AUTOCONNECT_PAGESTATS_MODE

// Page statistics row: IP
//#ifdef AUTOCONNECT_PAGESTATS_IP
//#undef AUTOCONNECT_PAGESTATS_IP
//#define AUTOCONNECT_PAGESTATS_IP "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_IP

// Page statistics row: GW
#ifdef AUTOCONNECT_PAGESTATS_GATEWAY
#undef AUTOCONNECT_PAGESTATS_GATEWAY
#define AUTOCONNECT_PAGESTATS_GATEWAY "Gateway"
#endif // !AUTOCONNECT_PAGESTATS_GATEWAY

// Page statistics row: Subnet mask
#ifdef AUTOCONNECT_PAGESTATS_SUBNETMASK
#undef AUTOCONNECT_PAGESTATS_SUBNETMASK
#define AUTOCONNECT_PAGESTATS_SUBNETMASK "Subnetzmaske"
#endif // !AUTOCONNECT_PAGESTATS_SUBNETMASK

// Page statistics row: SoftAP IP
//#ifdef AUTOCONNECT_PAGESTATS_SOFTAPIP
//#undef AUTOCONNECT_PAGESTATS_SOFTAPIP
//#define AUTOCONNECT_PAGESTATS_SOFTAPIP "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_SOFTAPIP

// Page statistics row: AP MAC
//#ifdef AUTOCONNECT_PAGESTATS_APMAC
//#undef AUTOCONNECT_PAGESTATS_APMAC
//#define AUTOCONNECT_PAGESTATS_APMAC "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_APMAC

// Page statistics row: STA MAC
//#ifdef AUTOCONNECT_PAGESTATS_STAMAC
//#undef AUTOCONNECT_PAGESTATS_STAMAC
//#define AUTOCONNECT_PAGESTATS_STAMAC "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_STAMAC

// Page statistics row: Channel
//#ifdef AUTOCONNECT_PAGESTATS_CHANNEL
//#undef AUTOCONNECT_PAGESTATS_CHANNEL
//#define AUTOCONNECT_PAGESTATS_CHANNEL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_CHANNEL

// Page statistics row: dBm
//#ifdef AUTOCONNECT_PAGESTATS_DBM
//#undef AUTOCONNECT_PAGESTATS_DBM
//#define AUTOCONNECT_PAGESTATS_DBM "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_DBM

// Page statistics row: Chip ID
//#ifdef AUTOCONNECT_PAGESTATS_CHIPID
//#undef AUTOCONNECT_PAGESTATS_CHIPID
//#define AUTOCONNECT_PAGESTATS_CHIPID "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_CHIPID

// Page statistics row: CPU Freq.
//#ifdef AUTOCONNECT_PAGESTATS_CPUFREQ
//#undef AUTOCONNECT_PAGESTATS_CPUFREQ
//#define AUTOCONNECT_PAGESTATS_CPUFREQ "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_CPUFREQ

// Page statistics row: Flash size
#ifdef AUTOCONNECT_PAGESTATS_FLASHSIZE
#undef AUTOCONNECT_PAGESTATS_FLASHSIZE
#define AUTOCONNECT_PAGESTATS_FLASHSIZE "Flash-Größe"
#endif // !AUTOCONNECT_PAGESTATS_FLASHSIZE

// Page statistics row: Free memory
#ifdef AUTOCONNECT_PAGESTATS_FREEMEM
#undef AUTOCONNECT_PAGESTATS_FREEMEM
#define AUTOCONNECT_PAGESTATS_FREEMEM "Freier Speicher"
#endif // !AUTOCONNECT_PAGESTATS_FREEMEM

// Page title: AutoConnect config
#ifdef AUTOCONNECT_PAGETITLE_CONFIG
#undef AUTOCONNECT_PAGETITLE_CONFIG
#define AUTOCONNECT_PAGETITLE_CONFIG "Konfiguration"
#endif // !AUTOCONNECT_PAGETITLE_CONFIG

// Page config text: Total:
#ifdef AUTOCONNECT_PAGECONFIG_TOTAL
#undef AUTOCONNECT_PAGECONFIG_TOTAL
#define AUTOCONNECT_PAGECONFIG_TOTAL "Gesamt:"
#endif // !AUTOCONNECT_PAGECONFIG_TOTAL

// Page config text: Hidden:
#ifdef AUTOCONNECT_PAGECONFIG_HIDDEN
#undef AUTOCONNECT_PAGECONFIG_HIDDEN
#define AUTOCONNECT_PAGECONFIG_HIDDEN "Versteckt:"
#endif // !AUTOCONNECT_PAGECONFIG_HIDDEN

// Page config text: SSID
#ifdef AUTOCONNECT_PAGECONFIG_SSID
#undef AUTOCONNECT_PAGECONFIG_SSID
#define AUTOCONNECT_PAGECONFIG_SSID "Netzwerkname"
#endif // !AUTOCONNECT_PAGECONFIG_SSID

// Page config text: Passphrase
#ifdef AUTOCONNECT_PAGECONFIG_PASSPHRASE
#undef AUTOCONNECT_PAGECONFIG_PASSPHRASE
#define AUTOCONNECT_PAGECONFIG_PASSPHRASE "Passwort"
#endif // !AUTOCONNECT_PAGECONFIG_PASSPHRASE

// Page config text: Enable DHCP
#ifdef AUTOCONNECT_PAGECONFIG_ENABLEDHCP
#undef AUTOCONNECT_PAGECONFIG_ENABLEDHCP
#define AUTOCONNECT_PAGECONFIG_ENABLEDHCP "DHCP aktivieren"
#endif // !AUTOCONNECT_PAGECONFIG_ENABLEDHCP

// Page config text: Apply
#ifdef AUTOCONNECT_PAGECONFIG_APPLY
#undef AUTOCONNECT_PAGECONFIG_APPLY
#define AUTOCONNECT_PAGECONFIG_APPLY "anwenden"
#endif // !AUTOCONNECT_PAGECONFIG_APPLY

// Page title: AutoConnect credentials
#ifdef AUTOCONNECT_PAGETITLE_CREDENTIALS
#undef AUTOCONNECT_PAGETITLE_CREDENTIALS
#define AUTOCONNECT_PAGETITLE_CREDENTIALS "Anmeldedaten"
#endif // !AUTOCONNECT_PAGETITLE_CREDENTIALS

// Text: The update page caption
#ifndef AUTOCONNECT_TEXT_UPDATINGFIRMWARE
#define AUTOCONNECT_TEXT_UPDATINGFIRMWARE "Firmware updaten"
#endif // !AUTOCONNECT_TEXT_UPDATINGFIRMWARE

// Text: The update page's file selection button label
#ifndef AUTOCONNECT_TEXT_SELECTFIRMWARE
#define AUTOCONNECT_TEXT_SELECTFIRMWARE "Firmware auswählen:"
#endif // !AUTOCONNECT_TEXT_SELECTFIRMWARE

// Text: OTA success
#ifndef AUTOCONNECT_TEXT_OTASUCCESS
#define AUTOCONNECT_TEXT_OTASUCCESS "Update erfolgreich, starte neu …"
#endif // !AUTOCONNECT_TEXT_OTASUCCESS

// Text: OTA failure
#ifndef AUTOCONNECT_TEXT_OTAFAILURE
#define AUTOCONNECT_TEXT_OTAFAILURE "Fehler beim Update:"
#endif // !AUTOCONNECT_TEXT_OTAFAILURE

// Page title: AutoConnect connecting
#ifdef AUTOCONNECT_PAGETITLE_CONNECTING
#undef AUTOCONNECT_PAGETITLE_CONNECTING
#define AUTOCONNECT_PAGETITLE_CONNECTING "verbinden …"
#endif // !AUTOCONNECT_PAGETITLE_CONNECTING

// Page title: AutoConnect connection failed
#ifdef AUTOCONNECT_PAGETITLE_CONNECTIONFAILED
#undef AUTOCONNECT_PAGETITLE_CONNECTIONFAILED
#define AUTOCONNECT_PAGETITLE_CONNECTIONFAILED "Verbindung fehlgeschlagen"
#endif // !AUTOCONNECT_PAGETITLE_CONNECTIONFAILED

// Page connection failed: Connection Failed
#ifdef AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED
#undef AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED
#define AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED "Verbindung fehlgeschlagen"
#endif // !AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED

// Page title: AutoConnect disconnected
#ifdef AUTOCONNECT_PAGETITLE_DISCONNECTED
#undef AUTOCONNECT_PAGETITLE_DISCONNECTED
#define AUTOCONNECT_PAGETITLE_DISCONNECTED "Getrennt"
#endif // !AUTOCONNECT_PAGETITLE_DISCONNECTED

// Text: No saved credentials.
#ifdef AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS
#undef AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS
#define AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS "Keine Anmeldedaten gespeichert"
#endif // !AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS

// Menu Text: Connecting
#ifdef AUTOCONNECT_MENUTEXT_CONNECTING
#undef AUTOCONNECT_MENUTEXT_CONNECTING
#define AUTOCONNECT_MENUTEXT_CONNECTING "verbinden"
#endif // !AUTOCONNECT_MENUTEXT_CONNECTING

// Menu Text: Disconnect
#ifdef AUTOCONNECT_MENUTEXT_DISCONNECT
#undef AUTOCONNECT_MENUTEXT_DISCONNECT
#define AUTOCONNECT_MENUTEXT_DISCONNECT "Trennen"
#endif // !AUTOCONNECT_MENUTEXT_DISCONNECT

// Menu Text: Failed
#ifdef AUTOCONNECT_MENUTEXT_FAILED
#undef AUTOCONNECT_MENUTEXT_FAILED
#define AUTOCONNECT_MENUTEXT_FAILED "Fehlgeschlagen"
#endif // !AUTOCONNECT_MENUTEXT_FAILED